Bug 772761 - [tomcat] Start/Stop/Restart operation through System V init script control method fail after 1 second timeout
[tomcat] Start/Stop/Restart operation through System V init script control me...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.2,4.3
All Linux
medium Severity high (vote)
: ---
: JON 3.0.1
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 746113
Blocks: 781631
  Show dependency treegraph
 
Reported: 2012-01-09 17:09 EST by Larry O'Leary
Modified: 2013-09-03 11:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: jon-3.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 746113
Environment:
Last Closed: 2013-09-03 11:02:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2012-01-09 17:09:32 EST
To be included in JON 3.0.x

+++ This bug was initially created as a clone of Bug #746113 +++

Description of problem:
Tomcat resource Start/Stop/Restart operations fail when operations take longer than 1 second due to a hardcoded value in the plugin.  This timeout should instead be a configurable value so that the user can set a value that is reasonable for their environment.

Version-Release number of selected component (if applicable):
JON 2.4.1

How reproducible:
Very

Steps to Reproduce:
1. Install tomcat5
2. Modify init.d script to include a wait of 5 seconds before returning a status code
3. Add tomcat5 resource to inventory
4. Configure to use "RPM System V init script" as the control method in Inventory->Connection page of resource
5. Attempt to Start/Stop/Restart Tomcat instance through operations tab of JON UI

Actual results:
Operation times out before the service can return a status code, resulting in a failure status of the operation in JON.  Note, checking the status of the tomcat5 service from the OS command line shows that the service started successfully.

Expected results:
Operation should wait until a status code is returned, or have a configurable timeout in order to be able to set a reasonable timeframe for the user's environment.

--- Additional comment from loleary@redhat.com on 2011-11-16 10:19:33 EST ---

Bumping the severity on this as it means a Tomcat resource's start/stop/restart operations will not work or will report incorrect results.

--- Additional comment from ccrouch@redhat.com on 2012-01-03 14:15:58 EST ---

Lukas
Can you take a look at this issue. Once its fixed in the release-3.0.1 branch of RHQ this issue can get pushed to ONQA. The issue should also get fixed in RHQ master.

Thanks
Charles

--- Additional comment from lkrejci@redhat.com on 2012-01-05 08:08:04 EST ---

release-3.0.1: 6ef135fd2bbf36b77f82bfbeea8fb7f0f48c0409
master: cf293cb3baf9e3d3447c16db0c181735d12c12e9

Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Thu Jan 5 13:58:08 2012 +0100

    [BZ 746113] - increasing the maximum wait time for the tomcat start/stop
    scripts from 1s to 120s.

--- Additional comment from lkrejci@redhat.com on 2012-01-05 08:09:44 EST ---

what about the release_jon3.0.x and release_JON2.4.2.GA branches? shouldn't the fix go there as well?

--- Additional comment from loleary@redhat.com on 2012-01-05 10:14:18 EST ---

Yes.

--- Additional comment from mfoley@redhat.com on 2012-01-06 11:10:16 EST ---

lukas ... can you add links to document that this has been pushed to the jon 2.4.2 branch?

--- Additional comment from lzoubek@redhat.com on 2012-01-09 06:59:57 EST ---

verified on JON 2.4.2.GA 3fd0075:1afdc60
Comment 2 Libor Zoubek 2012-02-06 06:02:39 EST
verified on JON 3.0.1 RC2
Comment 3 Heiko W. Rupp 2013-09-03 11:02:38 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.